Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 36608

Summary: IAE - if you set illegal value for double, long, short, byte, float property
Product: platform Reporter: Marian Mirilovic <mmirilovic>
Component: ExplorerAssignee: _ tboudreau <tboudreau>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3    
Version: 3.x   
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 31896    
Bug Blocks:    
Attachments: IllegalArgumentException stack trace
Again the right stack trace attached

Description Marian Mirilovic 2003-10-15 11:43:50 UTC
[nb_dev](20031015), [jdk1.4.2_01]

If you set illegal value for property types :
double, long, short, byte, float

IllegalArgumentException rises (attached stack trace)

(the informational dialog with text : You have set
illegal value for the propery xyz - should rises
instead of traditional exception dialog)
Comment 1 Marian Mirilovic 2003-10-15 11:44:20 UTC
Created attachment 11865 [details]
IllegalArgumentException stack trace
Comment 2 _ tboudreau 2003-10-15 18:35:46 UTC
Marian, I believe you, but what you attached is a cvs command line,
not a stack trace.
Comment 3 _ tboudreau 2003-10-15 19:44:53 UTC
FYI, this is working fine for me on the property panel branch, 
although I did find I had the messages backwards (string for the 
dialog title was listed as the bad input, the bad input was the 
dialog title).  Maybe something's different on the property panel 
rewrite branch, but I don't think this is it.

Anyway, at worst it will be fixed along with a bunch of other things
when I integrate PropertyPanel (btw, you guys should probably test
the branch before I integrate it - it could cause some problems for 
tests since the components and way PropertyPanel works will change).
Comment 4 Marian Mirilovic 2003-10-16 08:53:17 UTC
Created attachment 11882 [details]
Again the right stack trace attached
Comment 5 Marian Mirilovic 2003-10-16 08:55:30 UTC
Ups, sorry Tim, I have attached the right one.

Ok, we'll do it, but we must know when and what (and have to free time
:), do you have some general issue about new property panel, which
will be fixed if you will finished your work?
Comment 6 _ tboudreau 2003-11-15 18:24:28 UTC
Marking this issue as depending on merging the property panel,
although I'm not completely convinced it's even real :-)

Marian issue 31896 is the property panel rewrite issue.
Comment 7 _ tboudreau 2003-12-09 09:36:37 UTC
Property panel rewrite branch merged.
Comment 8 Marian Mirilovic 2003-12-15 13:59:22 UTC
verified in [nb_dev](200312141900)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo